use sorting::*;

pub struct Sort;

impl Algorithm for Sort {
    fn sort(mut vector: Vec<i32>) -> Result<Vec<i32>, &'static str> {
        for i in 0..vector.len() {
            for j in 0..(i) {
                if vector[j] > vector[i] {
                    vector = rotate(vector, j, i);
                    break;
                }
            }
        }
        return Ok(vector);
    }
}
